@keyframes ltlFloat {
  0%   { transform: translateY(0px); }
  50%  { transform: translateY(-7px); }
  100% { transform: translateY(0px); }
}

@keyframes ltlGlow {
  0% {
    box-shadow: 0 4px 12px rgba(233, 21, 21, 0.61),
                0 0 0px rgba(255, 255, 255, 0.993);
  }
  50% {
    box-shadow: 0 6px 18px rgb(250, 249, 249),
                0 0 18px rgb(255, 255, 255);
  }
  100% {
    box-shadow: 0 4px 12px rgba(0, 244, 156, 0.76),
                0 0 0px rgb(228, 211, 211);
  }
}

.ltl-tech-bubble {
  position: fixed;
  top: 18px;
  right: 20px;
  z-index: 9999;

  background: #00f49c;
  color: #000000;
  padding: 10px 16px;
  border-radius: 25px;

  font-family: "Poppins", sans-serif;
  font-size: 14px;
  font-weight: 600;
  text-decoration: none;

  box-shadow: 0 4px 12px rgba(0,0,0,0.25);
  transition: all 0.2s ease;

  /* 👇 animation belongs here */
  animation:
    ltlFloat 2.4s ease-in-out infinite,
    ltlGlow 2.4s ease-in-out infinite;
}

.ltl-tech-bubble:hover {
  background: #00A86B;
  color: #ffffff;
  transform: translateY(-2px);
  box-shadow: 0 6px 16px rgba(0,0,0,0.3);
}